| LibDriver LLCC68 1.0.0 LLCC68 full function driver

Functions
llcc68 interface driver function
llcc68 driver function

llcc68 interface driver modules More...

## Functions
uint8_t | llcc68_interface_spi_init (void)
| interface spi bus init More...
uint8_t | llcc68_interface_spi_deinit (void)
| interface spi bus deinit More...
uint8_t | llcc68_interface_spi_write_read (uint8_t *in_buf, uint32_t in_len, uint8_t *out_buf, uint32_t out_len)
| interface spi bus write read More...
uint8_t | llcc68_interface_reset_gpio_init (void)
| interface reset gpio init More...
uint8_t | llcc68_interface_reset_gpio_deinit (void)
| interface reset gpio deinit More...
uint8_t | llcc68_interface_reset_gpio_write (uint8_t data)
| interface reset gpio write More...
uint8_t | llcc68_interface_busy_gpio_init (void)
| interface busy gpio init More...
uint8_t | llcc68_interface_busy_gpio_deinit (void)
| interface busy gpio deinit More...
uint8_t | llcc68_interface_busy_gpio_read (uint8_t *value)
| interface busy gpio read More...
void | llcc68_interface_delay_ms (uint32_t ms)
| interface delay ms More...
void | llcc68_interface_debug_print (const char *const fmt,...)
| interface print format data More...
void | llcc68_interface_receive_callback (uint16_t type, uint8_t *buf, uint16_t len)
| interface receive callback More...

## Detailed Description

llcc68 interface driver modules

## Function Documentation

## ◆ llcc68_interface_busy_gpio_deinit()

uint8_t llcc68_interface_busy_gpio_deinit | ( | void |  | ) |

interface busy gpio deinit

Returns
  status code
  - 0 success
  - 1 deinit failed

Note
  none

Definition at line 136 of file driver_llcc68_interface_template.c.

## ◆ llcc68_interface_busy_gpio_init()

uint8_t llcc68_interface_busy_gpio_init | ( | void |  | ) |

interface busy gpio init

Returns
  status code
  - 0 success
  - 1 init failed

Note
  none

Definition at line 124 of file driver_llcc68_interface_template.c.

## ◆ llcc68_interface_busy_gpio_read()

uint8_t llcc68_interface_busy_gpio_read | ( | uint8_t * | value | ) |

interface busy gpio read

Parameters

  [out] | *value | pointer to a value buffer

Returns
  status code
  - 0 success
  - 1 read failed

Note
  none

Definition at line 149 of file driver_llcc68_interface_template.c.

## ◆ llcc68_interface_debug_print()

void llcc68_interface_debug_print | ( | const char *const | fmt,
|  |  | ...
| ) |  |

interface print format data

Parameters

  [in] | fmt | format data

Note
  none

Definition at line 169 of file driver_llcc68_interface_template.c.

## ◆ llcc68_interface_delay_ms()

void llcc68_interface_delay_ms | ( | uint32_t | ms | ) |

interface delay ms

Parameters

  [in] | ms | time

Note
  none

Definition at line 159 of file driver_llcc68_interface_template.c.

## ◆ llcc68_interface_receive_callback()

void llcc68_interface_receive_callback | ( | uint16_t | type,
|  | uint8_t * | buf,
|  | uint16_t | len
| ) |  |

interface receive callback

Parameters

  [in] | type | receive callback type
  [in] | *buf | pointer to a buffer address
  [in] | len | buffer length

Note
  none

Definition at line 181 of file driver_llcc68_interface_template.c.

## ◆ llcc68_interface_reset_gpio_deinit()

uint8_t llcc68_interface_reset_gpio_deinit | ( | void |  | ) |

interface reset gpio deinit

Returns
  status code
  - 0 success
  - 1 deinit failed

Note
  none

Definition at line 99 of file driver_llcc68_interface_template.c.

## ◆ llcc68_interface_reset_gpio_init()

uint8_t llcc68_interface_reset_gpio_init | ( | void |  | ) |

interface reset gpio init

Returns
  status code
  - 0 success
  - 1 init failed

Note
  none

Definition at line 87 of file driver_llcc68_interface_template.c.

## ◆ llcc68_interface_reset_gpio_write()

uint8_t llcc68_interface_reset_gpio_write | ( | uint8_t | data | ) |

interface reset gpio write

Parameters

  [in] | data | written data

Returns
  status code
  - 0 success
  - 1 write failed

Note
  none

Definition at line 112 of file driver_llcc68_interface_template.c.

## ◆ llcc68_interface_spi_deinit()

uint8_t llcc68_interface_spi_deinit | ( | void |  | ) |

interface spi bus deinit

Returns
  status code
  - 0 success
  - 1 spi deinit failed

Note
  none

Definition at line 58 of file driver_llcc68_interface_template.c.

## ◆ llcc68_interface_spi_init()

uint8_t llcc68_interface_spi_init | ( | void |  | ) |

interface spi bus init

Returns
  status code
  - 0 success
  - 1 spi init failed

Note
  none

Definition at line 46 of file driver_llcc68_interface_template.c.

## ◆ llcc68_interface_spi_write_read()

uint8_t llcc68_interface_spi_write_read | ( | uint8_t * | in_buf,
|  | uint32_t | in_len,
|  | uint8_t * | out_buf,
|  | uint32_t | out_len
| ) |  |

interface spi bus write read

Parameters

  [in] | *in_buf | pointer to a input buffer
  [in] | in_len | input length
  [out] | *out_buf | pointer to a output buffer
  [in] | out_len | output length

Returns
  status code
  - 0 success
  - 1 write read failed

Note
  none

Definition at line 74 of file driver_llcc68_interface_template.c.